package detector;

import java.util.List;
import java.util.Map;

/**
 * @author Roman Tekhov
 */
public class Configuration {
	
	private String geoIpDb;
	private String outputFile;
	private Double minOutputSpeed;
	private Map<LogFormat, List<String>> filesMap;

	
	Configuration(String geoIpDb, String outputFile,
	              Double minimalOutputSpeed,
	              Map<LogFormat, List<String>> filesMap) {
		this.geoIpDb = geoIpDb;
		this.outputFile = outputFile;
		this.minOutputSpeed = minimalOutputSpeed;
		this.filesMap = filesMap;
	}

	
	public String getGeoIpDb() {
		return geoIpDb;
	}

	public String getOutputFile() {
		return outputFile;
	}

	public Double getMinOutputSpeed() {
		return minOutputSpeed;
	}
	
	public Map<LogFormat, List<String>> getFilesMap() {
		return filesMap;
	}

}
