package detector;

import java.util.Collection;
import java.util.Map;
import java.util.TreeMap;
import java.util.TreeSet;

/**
 * @author Roman Tekhov
 */
public class EntryStorage {

	private Map<String, Collection<Entry>> entriesByUser = new TreeMap<String, Collection<Entry>>();


	public synchronized void addEntry(Entry entry) {
		Collection<Entry> entries = entriesByUser.get(entry.getUser());

		if(entries == null) {
			entries = new TreeSet<Entry>();
			entriesByUser.put(entry.getUser(), entries);
		}
		
		entries.add(entry);
	}


	public Map<String, Collection<Entry>> getEntriesByUser() {
		return entriesByUser;
	}

}
